Author Topic: enigma (Internal Server Error)  (Read 569 times)

Offline boman

  • Newbie
  • *
  • Posts: 2
enigma (Internal Server Error)
« on: October 20, 2020, 11:04:32 AM »
Hello professionals :)

I installed roundcube on a Debian 10 with apt (so version is 1.3.15+dfsg.1-1~deb10u1)

Mails etc. are working flawlessly. Currently I want to enable enigma and get an Internal Server Error:

Code: [Select]
nano /var/log/roundcube/errors
Code: [Select]
[20-Oct-2020 16:38:38 Europe/Berlin] PHP Warning:  require_once(Crypt/GPG.php): failed to open stream: Datei oder Verzeichnis nicht gefunden in /usr/share/roundcube/plugins/enigma/lib/enigma_driver_gnupg.php on line 18
[20-Oct-2020 16:38:38 Europe/Berlin] PHP Fatal error:  require_once(): Failed opening required 'Crypt/GPG.php' (include_path='/var/lib/roundcube/plugins/enigma/lib:/var/lib/roundcube/program/lib:.:/usr/share/php:/usr/share/roundcube/program/lib') in /usr/share/roundcube/plugins/enigma/lib/enigma_driver_gnupg.php on line 18

I installed (configured) like this:
https://github.com/roundcube/roundcubemail/tree/master/plugins/enigma

INSTALLATION
------------
1. Rename config.inc.php.dist to config.inc.php.
2. Create a directory for keys storage that is writeable for the PHP process.
   This directory should be out of the document root, so it is not accessible
   from the web browser. Set it's location in $config['enigma_pgp_homedir'].
3. Make sure GnuPG is installed.

Code: [Select]
nano /etc/roundcube/config.inc.php
Code: [Select]
$config['plugins'] = array(
enigma
);

$config['enigma_pgp_homedir'] = ' /usr/share/roundcube/keyfiles';

Code: [Select]
chown www-data:www-data  /usr/share/roundcube/keyfiles
gnupg is already the newest version (2.2.12-1+deb10u1)

Indeed there is no file like 'Crypt/GPG.php' where should this file be?

Offline JohnDoh

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2,524
Re: enigma (Internal Server Error)
« Reply #1 on: October 21, 2020, 01:53:29 PM »
Quote
I installed (configured) like this:
https://github.com/roundcube/roundcubemail/tree/master/plugins/enigma
you are running Roundcube 1.3.15 right? so don't download plugins designed to work with the git-master version of Roundcube, get the one from the release-1.3 branch.

The Enigma plugin requires the pear/crypt_gpg library. I do not know how Debian manages pear packages. If you download the "complete" package from the Roundcube website you'll find all the third party libs Roundcube needs included in the vendor dir.
Roundcube Plugins: Contextmenu, SpamAssassin Prefs, and moreā€¦

Offline boman

  • Newbie
  • *
  • Posts: 2
Re: enigma (Internal Server Error)
« Reply #2 on: October 22, 2020, 09:54:02 AM »
The Enigma plugin requires the pear/crypt_gpg library.

Thank you very much! That did the trick and everything is working now. I don't know how I did not realize this.

For those who are running into the same issue:
https://pear.php.net/package/Crypt_GPG
Code: [Select]
pear install Crypt_GPG
PS: The problem is solved. Do I have to move the topic (how) or are the mods doing this?
« Last Edit: October 22, 2020, 09:59:30 AM by boman »